<?php 
	if (!isset($root1)){ $root1='';
		for ($x=1; $x<count(explode ('/',$_SERVER['PHP_SELF'])); $x++) 
		{if (is_dir($root1.'sg_cm/content')) break;
		$root1.='../';}}	
		
		
		if (!is_dir($root1.'sg_cm/content')) exit("не найдена папка content");
		
		// путь к контенту
		$contp=$root1."sg_cm/content/";
		//ini_set('display_errors', 1);
		//error_reporting(E_ALL);
		// ѕуть к файлу с контентом ;
		if (!isset($phpself_array)){ 
			$phpself_array= explode("/",$_SERVER['PHP_SELF']); 
			$pos = strpos($phpself_array[count($phpself_array)-1], ".");
			if ($pos===false) $stranica=$phpself_array[count($phpself_array)-1];
		else $stranica = substr($phpself_array[count($phpself_array)-1], 0, $pos);}
		$stranica2=$stranica;
		for ($x=1; $x<count(explode('/',$root1)); $x++) 
		{$stranica2=$phpself_array[count($phpself_array)-$x-1].'/'.$stranica2;} 
		
		$cp=$contp.$stranica2."/" ; //    для вставки блоков на страницу сайта из одноименной подпапки в папке content
		if (!is_dir($cp)){
			$cdir=getcwd();
			chdir($contp);
			$pages=glob('{*,*/*,*/*/*,*/*/*/*}', GLOB_ONLYDIR|GLOB_BRACE);
			foreach ( $pages as $p) 
			{ if (basename($p)== $stranica) {$cp=$contp.$p."/" ; break;}
			}
			chdir($cdir);
		} 
		if(is_file($cp.'zagl')) 
		{$ZAGL0=file_get_contents($cp.'zagl');
		$ZAGL0=trim(strip_tags($ZAGL0));}
		else {$ZAGL0=''; }
		$ZAGL01=array(0=>'',1=>'',2=>'',3=>'',4=>'',5=>'',6=>'');
		if(is_file($cp.'zagl1') )
		{$ZAGL01=explode("*:*\r\n", file_get_contents($cp.'zagl1'));
		}
		if (!isset($title))
		$title="<title>".$ZAGL01[0]."</title>";
		if (!isset($tegH1))
		$tegH1=trim($ZAGL01[1]); // содержимое тега h1
		$tegH2=trim($ZAGL01[2]); // содержимое тега h2
		$tegKW="<meta name=\"keywords\" content=\"$ZAGL01[3]\" />";
		$tegKW_cont=trim($ZAGL01[3]);
		if (!isset($tegDescr))
		{$tegDescr="<meta name=\"description\" content=\"$ZAGL01[4]\" />";
		$tegDescr_cont=trim($ZAGL01[4]);}
		$tegMeta=$ZAGL01[5];
		$tegHead=$ZAGL01[6];
?>